Subject: Purge

From: Gerry Stringer <[email-masked]>
Date: Thu, 7 Oct 93 14:33:31 BST

Hello,

in my schema creation script I usually "purge" the relation to indicate
I'm not interested in time travel (what a philistine). The problem is
that the following no longer seems to work in v4.1 on SPARC:
...
...
create cs_pobject
(
  id = int4 ,
  pobtype = text,
  username = text,
  timestamp = abstime 
) \g

Go 
* 
Query sent to backend is "create cs_pobject (   id = int4 ,   pobtype =
text,   username = text,   timestamp = abstime  ) "
CREATE
Go 

* purge cs_pobject \g
Query sent to backend is "purge cs_pobject "
PURGE
Go 

* define index pobindex on cs_pobject using btree (id int4_ops) \g

WARN:Oct  7 14:19:46:DefineIndex: cs_pobject relation not found

Go 
* retrieve (cs_pobject.all) \g

Query sent to backend is "retrieve (cs_pobject.all) "
WARN:Oct  7 14:28:35:heap_openr on cs_pobject failed

...
...

My questions:

1. Is this a bug or a misinterpreted feature?

2. If I leave out doing purge altogether, do I incur the penalties of
time travel in this version (4.1) ?

	Many thanks,

		gerry

+--------------------------------+---------------------------------+
|Gerry Stringer                  |Phone: +44 954 780926            |
|Cambridge Scanning Company Ltd  |Fax:   +44 954 789829            |
|Saxon Way                       |UUCP : [email-masked]       |
|Bar Hill                        |       [email-masked]        |
|Cambridge CB3 8SL               |       			   |
|United Kingdom                  |                                 |
+--------------------------------+---------------------------------+